> For the complete documentation index, see [llms.txt](https://docs.octusbridge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/everscale/bridge-section/event-contracts-base.md).

# event-contracts-base

### **BaseEvent**

#### **`onRelaysLoaded`**

Mengubah status ke Tertunda

```
function onRelaysLoaded() virtual internal
```

#### **`loadRelays`**

Mendapatkan alamat putaran pengganti saat ini

```
function loadRelays() internal view
```

#### **`_checkVoteReceiver`**

Memeriksa juga penerima suara adalah alamat ini

```
function _checkVoteReceiver(address voteReceiver)
```

**Parameter:**

| Nama         | Jenis   | Deskripsi             |
| ------------ | ------- | --------------------- |
| voteReceiver | address | Alamat penerima suara |

#### **`receiveRoundAddress`**

Berdasarkan kontrak putaran mengambil alamat putaran

```
function receiveRoundAddress(
        address roundContract,
        uint32 roundNum
    ) external onlyStaking
```

**Parameter:**

| Nama          | Jenis   | Deskripsi              |
| ------------- | ------- | ---------------------- |
| roundContract | address | Alamat kontrak putaran |
| roundNum      | uint32  | Angka putaran          |

#### **`receiveRoundRelays`**

Memuat pengganti berdasarkan kunci mereka

```
function receiveRoundRelays(uint[] keys) external onlyRelayRound
```

**Parameter:**

| Nama | Jenis   | Description             |
| ---- | ------- | ----------------------- |
| keys | uint\[] | Kunci pengganti putaran |

### **EthereumBaseEvent**

#### **`confirm`**

Mengonfirmasi acara. Hanya bisa dipanggil oleh pengganti yang bertugas di putaran ini. Hanya bisa dipanggil saat konfigurasi acara dalam status Tertunda

```
function confirm(address voteReceiver) public eventPending
```

**Parameter:**

| Nama         | Jenis   | Deskripsi                                      |
| ------------ | ------- | ---------------------------------------------- |
| signature    | bytes   | tanda tangan pengganti di data acara Everscale |
| voteReceiver | address | Alamat penerima suara (alamat kontrak acara)   |

**Acara yang dikeluarkan:**

* Konfirmasi

#### **`reject`**

Menolak acara. Hanya bisa dipanggil oleh pengganti yang bertugas di putaran ini.\
Hanya bisa dipanggil saat konfigurasi acara berada dalam status Tertunda.

```
function reject(address voteReceiver) public eventPending
```

**Parameter:**

| Nama         | Jenis   | Deskripsi                                    |
| ------------ | ------- | -------------------------------------------- |
| voteReceiver | address | Alamat penerima suara (alamat kontrak acara) |

**Acara yang dikeluarkan:**

* Tolak


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/everscale/bridge-section/event-contracts-base.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
